package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考务数据导出Dto
 * @Author: CaoZixuan
 * @Date: 2021-04-15
 */
public class ExaminationExportDto {
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "序号")
    @ExcelProperty(name = "序号", width = 30, index = 1)
    private Long index;

    @ApiModelProperty(value = "印刷计划名称")
    @ExcelProperty(name = "印刷计划名称", width = 30, index = 2)
    private String printPlanName;

    @ApiModelProperty(value = "考试日期")
    @ExcelProperty(name = "考试日期", width = 30, index = 3)
    private String examDate;

    @ApiModelProperty(value = "考试时间")
    @ExcelProperty(name = "考试时间", width = 30, index = 4)
    private String examTime;

    @ApiModelProperty(value = "考点")
    @ExcelProperty(name = "考点", width = 30, index = 5)
    private String examPlace;

    @ApiModelProperty(value = "考场")
    @ExcelProperty(name = "考场", width = 30, index = 6)
    private String examRoom;

    @ApiModelProperty(value = "卷袋号")
    @ExcelProperty(name = "卷袋号", width = 30, index = 7)
    private String packageCode;

    @ApiModelProperty(value = "课程（代码）")
    @ExcelProperty(name = "课程（代码）", width = 30, index = 8)
    private String courseNameCode;

    @ApiModelProperty(value = "试卷编号")
    @ExcelProperty(name = "试卷编号", width = 30, index = 9)
    private String paperNumber;

    @ApiModelProperty(value = "科次")
    @ExcelProperty(name = "科次", width = 30, index = 10)
    private int totalSubjects;

    public Long getIndex() {
        return index;
    }

    public void setIndex(Long index) {
        this.index = index;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getCourseNameCode() {
        return courseNameCode;
    }

    public void setCourseNameCode(String courseNameCode) {
        this.courseNameCode = courseNameCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public int getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(int totalSubjects) {
        this.totalSubjects = totalSubjects;
    }
}
